/*
 * @Author: mojunshou 1637302775@qq.com
 * @Date: 2025-03-27 18:19:53
 * @LastEditors: mojunshou 1637302775@qq.com
 * @LastEditTime: 2025-03-31 18:59:06
 * @Description: 游戏结束界面
 */
import { _decorator } from 'cc';
import { oops } from 'db://oops-framework/core/Oops';
import { GameComponent } from "db://oops-framework/module/common/GameComponent";
import { GameEvent } from '../../common/config/GameEvent';
import { UIID } from '../../common/config/GameUIConfig';

const { ccclass, property } = _decorator;

/** 显示对象控制 */
@ccclass('GameOverView')
export class GameOverView extends GameComponent {
    protected start() {
        this.setButton();
    }


    private btn_restart() {
        oops.message.dispatchEvent(GameEvent.RestartGame);
        oops.gui.remove(UIID.GameOver);
    }

    private btn_resurrection() {
        //打开广告
        //我这调你登录，你登录后，返回给我，可以登录，我这边加载资源，userinfo-头像，UID nickname，关卡，还有配置，


    }
}